/*
 * File:		io.h
 * Purpose:		Serial Input/Output routines
 *
 */

  
#ifndef _SERIAL_H
#define _SERIAL_H

/********************************************************************/
void sci_a_init();

char sci_a_getchar (void);
void sci_a_putchar (char);
int sci_a_getchar_present (void);
void sci_a_puts (char *);

char sci_b_getchar (void);
void sci_b_putchar (char);
int sci_b_putchar_present (void);
void sci_b_puts (char *);

char sci_c_getchar (void);
void sci_c_putchar (char);
int sci_c_putchar_present (void);
void sci_c_puts (char *);

#define out_char sci_a_putchar
#define in_char sci_a_getchar

#define puts sci_a_puts
#define getchar sci_a_getchar
#define putchar sci_a_putchar
#define kbhit sci_a_getchar_present


int printf (const char *fmt, ...);
int sprintf (char *s, const char *fmt, ...);

/********************************************************************/
#endif
